% DESCRIPTION: Program to create GDF files in the Matlab format.

% Click "Run" and type in the number of data type to open the program to create
% GDF file (according to the list below):
% Numbers from 1 to 53 --> GDF file plus example.
% Numbers from 54 to 101 --> GDF file without example.
% Numbers from 102 to 113 --> GDF file without example (required plus optional
% data)

% Click "Run" and then "Change folder". 

% GDF FILE PLUS EXAMPLE:
% 1D velocity model - 1
% Air quality - 2
% Air stations - 3
% Atmospheric pressure - 4
% Blast information - 5
% Bottomhole pressure - 6
% Cavity roof level - 7
% Collar drillhole position - 8
% Cumulative injection - 9
% Drillhole lithology - 10
% Faults - 11
% Flowback bottomhole pressure - 12
% Flowback rate - 13
% Flowback volume - 14
% Fracking process parameters - 15
% Geoarea - 16
% Geopolygon 3D - 17
% Gravity monitoring - 18
% Gravity stations - 19
% Ground water level - 20
% Injection rate - 21
% Injection rate multi - 22
% Injection volume - 23
% Injection volume multi - 24
% Insitu deformation - 25
% Insitu temperature - 26
% Insitu temperature stations - 27
% Mine area - 28
% Mining front advance - 29
% Mining polygon advance - 30
% Natural gas production - 31
% Oil production - 32
% Power plant position - 33
% Production cluster position - 34
% Proppant concentration - 35
% Radon222 - 36
% Ray tracing angles - 37
% Reservoir pressure - 38
% Seismic stations - 39
% Shallow groundwater temperature - 40
% Seismic velocity profile - 41
% Shear wave velocity - 42
% Shoreline - 43
% Steam production - 44
% Strain gauge measurement - 45
% Water height - 46
% Water level - 47
% Water production - 48
% Water stations - 49
% Water volume - 50
% Well path - 51
% Well position - 52
% Wellhead pressure - 53

% EMPTY GDF FILE WITHOUT EXAMPLE:
% 1D velocity model - 52
% Air quality - 53
% Air stations - 54
% Atmospheric pressure - 55
% Blast information - 56
% Bottomhole pressure - 57
% Cavity roof level - 58
% Collar drillhole position - 59
% Cumulative injection - 60
% Faults - 61
% Flowback bottomhole pressure - 62
% Flowback rate - 63
% Flowback volume - 64
% Fracking process parameters - 65
% Geoarea - 66
% Geopolygon 3D - 67
% Gravity monitoring - 68
% Gravity stations - 69
% Ground water level - 70
% Injection rate - 71
% Injection rate multi - 72
% Injection volume - 73
% Injection volume multi - 74
% Insitu temperature - 75
% Insitu temperature stations - 76
% Mine area - 77
% Mining front advance - 78
% Mining polygon advance - 79
% Natural gas production - 80
% Oil production - 81
% Power plant position - 82
% Production cluster position - 83
% Proppant concentration - 84
% Radon222 - 85
% Ray tracing angles - 86
% Reservoir pressure - 87
% Seismic stations - 88
% Shallow groundwater temperature - 89
% Shallow velocity profile - 90
% Shear wave velocity - 91
% Shoreline - 92
% Steam production - 93
% Water height - 94
% Water level - 95
% Water production - 96
% Water stations - 97
% Water volume - 98
% Well path - 99
% Well position - 100
% Wellhead pressure - 101


% EMPTY GDF FILE WITHOUT EXAMPLE (required plus optional data):
% 1D velocity model - 100
% Air stations - 101
% Collar drillhole position - 102
% Gravity stations - 103
% Faults - 104
% Fracking process parameters - 105
% Insitu temperature stations - 106
% Production cluster position - 107
% Seismic stations - 108
% Shallow groundwater temperature - 109
% Shallow velocity profile - 110
% Water stations - 111
% Well path - 112
% Well position - 113


dataType = input('Type in the number of data type: ','s')
if strcmp(dataType,'1')
    open('Others\Examples\GDF_create_1D_velocity_model_example.m');
elseif strcmp(dataType,'2')
    open('Data_containing_parameters_and_dates\Examples\GDF_create_Air_quality_example.m'); 
elseif strcmp(dataType,'3')
    open('Data_containing_points\Examples\GDF_create_Air_stations_example.m');
elseif strcmp(dataType,'4')
    open('Data_containing_parameters_and_dates\Examples\GDF_create_Atmospheric_pressure_example.m');
elseif strcmp(dataType,'5')
    open('Data_containing_dates_and_points\Examples\GDF_create_Blast_information_example.m');
elseif strcmp(dataType,'6')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Bottomhole_pressure_example.m');
elseif strcmp(dataType,'7')
    open('Data_containing_areas_or_lines\Examples\GDF_create_Cavity_roof_level_example.m');
elseif strcmp(dataType,'8')
    open('Data_containing_points\Examples\GDF_create_Collar_Drillhole_position_example.m');
elseif strcmp(dataType,'9')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Cumulative_injection_example.m'); 
elseif strcmp(dataType,'10')
    open('Data_containing_columns\GDF_create_Drillhole_lithology_example.m');
elseif strcmp(dataType,'11')
    open('Data_containing_areas_or_lines\Examples\GDF_create_Faults_example.m');
elseif strcmp(dataType,'12')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Flowback_bottomhole_pressure_example.m'); 
elseif strcmp(dataType,'13')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Flowback_rate_example.m');
elseif strcmp(dataType,'14')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Flowback_volume_example.m');
elseif strcmp(dataType,'15')
    open('Data_containing_parameters_and_dates\Examples\GDF_create_Fracking_Process_Parameters_example.m');
elseif strcmp(dataType,'16')
    open('Data_containing_areas_or_lines\Examples\GDF_create_Geoarea_example.m');
elseif strcmp(dataType,'17')
    open('Others\Examples\GDF_create_Geopolygon_3D_example.m'); 
elseif strcmp(dataType,'18')
    open('Data_containing_areas_or_lines\Examples\GDF_create_Gravity_monitoring_example.m');
elseif strcmp(dataType,'19')
    open('Data_containing_points\Examples\GDF_create_Gravity_Stations_example.m'); 
elseif strcmp(dataType,'20')
    open('Data_containing_parameters_and_dates\Examples\GDF_create_Ground_water_level_example.m');
elseif strcmp(dataType,'21')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Injection_rate_example.m');
elseif strcmp(dataType,'22')
    open('Data_containing_parameters_and_dates\Examples\GDF_create_Injection_rate_multi_example.m');
elseif strcmp(dataType,'23')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Injection_volume_example.m');
elseif strcmp(dataType,'24')
    open('Data_containing_parameters_and_dates\Examples\GDF_create_Injection_volume_multi_example.m');
elseif strcmp(dataType,'25')
    open('Data_containing_dates_and_points\Examples\GDF_create_Insitu_deformation_example\GDF_create_Insitu_deformation_example.m');
elseif strcmp(dataType,'26')
    open('Data_containing_parameters_and_dates\Examples\GDF_create_Insitu_Temperature_example.m');
elseif strcmp(dataType,'27')
    open('Data_containing_points\Examples\GDF_create_Insitu_temperature_stations_example.m');
elseif strcmp(dataType,'28')
    open('Data_containing_areas_or_lines\Examples\GDF_create_Mine_Area_example.m');
elseif strcmp(dataType,'29')
    open('Data_containing_areas_or_lines\Examples\GDF_create_Mining_front_advance_example.m');
elseif strcmp(dataType,'30')
    open('Data_containing_areas_or_lines\Examples\GDF_create_Mining_polygon_advance_example.m');
elseif strcmp(dataType,'31')
    open('Data_containing_parameters_and_dates\Examples\GDF_create_Natural_gas_production_example.m');
elseif strcmp(dataType,'32')
    open('Data_containing_parameters_and_dates\Examples\GDF_create_Oil_Production_example.m');
elseif strcmp(dataType,'33')
    open('Data_containing_points\Examples\GDF_create_Power_Plant_Position_example.m'); 
elseif strcmp(dataType,'34')
    open('Data_containing_points\Examples\GDF_create_Production_Cluster_Position_example.m'); 
elseif strcmp(dataType,'35')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Proppant_concentration_example.m'); 
elseif strcmp(dataType,'36')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Radon222_example.m'); 
elseif strcmp(dataType,'37')
    open('Others\Examples\GDF_create_Ray_Tracing_Angles_example.m');
elseif strcmp(dataType,'38')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Reservoir_pressure_example.m');
elseif strcmp(dataType,'39')
    open('Data_containing_points\Examples\GDF_create_Seismic_Stations_example.m');
elseif strcmp(dataType,'40')
    open('Others\Examples\GDF_create_Shallow_Groundwater_Temperature_example.m');
elseif strcmp(dataType,'41')
    open('Others\Examples\GDF_create_Shallow_Velocity_Profile_example.m');
elseif strcmp(dataType,'42')
    open('Data_containing_points\Examples\GDF_create_Shear_Wave_Velocity_example.m'); 
elseif strcmp(dataType,'43')
    open('Data_containing_areas_or_lines\Examples\GDF_create_Shoreline_example.m');
elseif strcmp(dataType,'44')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Steam_production_example.m'); 
elseif strcmp(dataType,'45')
    open('Data_containing_dates_and_points\Examples\GDF_create_Strain_gauge_measurement_example_required\GDF_create_Strain_gauge_measurement_example.m');
elseif strcmp(dataType,'46')
    open('Data_containing_parameters_and_dates\Examples\GDF_create_Water_height_example.m');   
elseif strcmp(dataType,'47')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Water_level_example.m'); 
elseif strcmp(dataType,'48')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Water_production_example.m'); 
elseif strcmp(dataType,'49')
    open('Data_containing_points\Examples\GDF_create_Water_stations_example.m'); 
elseif strcmp(dataType,'50')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Water_volume_example.m');
elseif strcmp(dataType,'51')
    open('Data_containing_areas_or_lines\Examples\GDF_create_Well_path_example.m');
elseif strcmp(dataType,'52')
    open('Data_containing_points\Examples\GDF_create_Well_Position_example.m');  
elseif strcmp(dataType,'53')
    open('Data_containing_one_parameter_and_dates\Examples\GDF_create_Wellhead_pressure_example.m'); 
    
    
    
elseif strcmp(dataType,'52')
    open('Others\Empty\GDF_create_1D_velocity_model_example.m');
elseif strcmp(dataType,'53')
    open('Data_containing_parameters_and_dates\Empty\GDF_create_Air_quality_example.m'); 
elseif strcmp(dataType,'54')
    open('Data_containing_points\Empty\GDF_create_Air_stations_example.m');
elseif strcmp(dataType,'55')
    open('Data_containing_parameters_and_dates\Empty\GDF_create_Atmospheric_pressure_example.m');
elseif strcmp(dataType,'56')
    open('Data_containing_dates_and_points\Empty\GDF_create_Blast_information_example.m');
elseif strcmp(dataType,'57')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Bottomhole_pressure_example.m');
elseif strcmp(dataType,'58')
    open('Data_containing_areas_or_lines\Empty\GDF_create_Cavity_roof_level_example.m');
elseif strcmp(dataType,'59')
    open('Data_containing_points\Empty\GDF_create_Collar_Drillhole_position_example.m');
elseif strcmp(dataType,'60')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Cumulative_injection_example.m'); 
elseif strcmp(dataType,'61')
    open('Data_containing_areas_or_lines\Empty\GDF_create_Faults_example.m');
elseif strcmp(dataType,'62')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Flowback_bottomhole_pressure_example.m'); 
elseif strcmp(dataType,'63')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Flowback_rate_example.m');
elseif strcmp(dataType,'64')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Flowback_volume_example.m');
elseif strcmp(dataType,'65')
    open('Data_containing_parameters_and_dates\Empty\GDF_create_Fracking_Process_Parameters_example.m');
elseif strcmp(dataType,'66')
    open('Data_containing_areas_or_lines\Empty\GDF_create_Geoarea_example.m');
elseif strcmp(dataType,'67')
    open('Others\Empty\GDF_create_Geopolygon_3D_example.m'); 
elseif strcmp(dataType,'68')
    open('Data_containing_areas_or_lines\Empty\GDF_create_Gravity_monitoring_example.m'); 
elseif strcmp(dataType,'69')
    open('Data_containing_points\Empty\GDF_create_Gravity_Stations_example.m'); 
elseif strcmp(dataType,'70')
    open('Data_containing_parameters_and_dates\Empty\GDF_create_Ground_water_level_example.m');
elseif strcmp(dataType,'71')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Injection_rate_example.m');
elseif strcmp(dataType,'72')
    open('Data_containing_parameters_and_dates\Empty\GDF_create_Injection_rate_multi_example.m');
elseif strcmp(dataType,'73')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Injection_volume_example.m');
elseif strcmp(dataType,'74')
    open('Data_containing_parameters_and_dates\Empty\GDF_create_Injection_volume_multi_example.m');
elseif strcmp(dataType,'75')
    open('Data_containing_parameters_and_dates\Empty\GDF_create_Insitu_Temperature_example.m');
elseif strcmp(dataType,'76')
    open('Data_containing_points\Empty\GDF_create_Insitu_temperature_stations_example.m');
elseif strcmp(dataType,'77')
    open('Data_containing_areas_or_lines\Empty\GDF_create_Mine_Area_example.m');
elseif strcmp(dataType,'78')
    open('Data_containing_areas_or_lines\Empty\GDF_create_Mining_front_advance_example.m');
elseif strcmp(dataType,'79')
    open('Data_containing_areas_or_lines\Empty\GDF_create_Mining_polygon_advance_example.m');
elseif strcmp(dataType,'80')
    open('Data_containing_parameters_and_dates\Empty\GDF_create_Natural_gas_production_example.m');
elseif strcmp(dataType,'81')
    open('Data_containing_parameters_and_dates\Empty\GDF_create_Oil_Production_example.m');
elseif strcmp(dataType,'82')
    open('Data_containing_points\Empty\GDF_create_Power_Plant_Position_example.m'); 
elseif strcmp(dataType,'83')
    open('Data_containing_points\Empty\GDF_create_Production_Cluster_Position_example.m'); 
elseif strcmp(dataType,'84')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Proppant_concentration_example.m'); 
elseif strcmp(dataType,'85')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Radon222_example.m'); 
elseif strcmp(dataType,'86')
    open('Others\Empty\GDF_create_Ray_Tracing_Angles_example.m');
elseif strcmp(dataType,'87')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Reservoir_pressure_example.m');
elseif strcmp(dataType,'88')
    open('Data_containing_points\Empty\GDF_create_Seismic_Stations_example.m');
elseif strcmp(dataType,'89')
    open('Others\Empty\GDF_create_Shallow_Groundwater_Temperature_example.m');
elseif strcmp(dataType,'90')
    open('Others\Empty\GDF_create_Shallow_Velocity_Profile_example.m');
elseif strcmp(dataType,'91')
    open('Data_containing_points\Empty\GDF_create_Shear_Wave_Velocity_example.m'); 
elseif strcmp(dataType,'92')
    open('Data_containing_areas_or_lines\Empty\GDF_create_Shoreline_example.m');
elseif strcmp(dataType,'93')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Steam_production_example.m'); 
elseif strcmp(dataType,'94')
    open('Data_containing_parameters_and_dates\Empty\GDF_create_Water_height_example.m');   
elseif strcmp(dataType,'95')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Water_level_example.m'); 
elseif strcmp(dataType,'96')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Water_production_example.m'); 
elseif strcmp(dataType,'97')
    open('Data_containing_points\Empty\GDF_create_Water_stations_example.m'); 
elseif strcmp(dataType,'98')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Water_volume_example.m');
elseif strcmp(dataType,'99')
    open('Data_containing_areas_or_lines\Empty\GDF_create_Well_path_example.m');
elseif strcmp(dataType,'100')
    open('Data_containing_points\Empty\GDF_create_Well_Position_example.m');  
elseif strcmp(dataType,'101')
    open('Data_containing_one_parameter_and_dates\Empty\GDF_create_Wellhead_pressure_example.m'); 


    
    
elseif strcmp(dataType,'100')
    open('Others\Empty_plus_optional\GDF_create_1D_velocity_model_example.m');
elseif strcmp(dataType,'101')
    open('Data_containing_points\Empty_plus_optional\GDF_create_Air_stations_example.m');
elseif strcmp(dataType,'102')
    open('Data_containing_points\Empty_plus_optional\GDF_create_Collar_Drillhole_position_example.m');
elseif strcmp(dataType,'103')
    open('Data_containing_points\Empty_plus_optional\GDF_create_Gravity_Stations_example.m');
elseif strcmp(dataType,'104')
    open('Data_containing_areas_or_lines\Empty_plus_optional\GDF_create_Faults_example.m');
elseif strcmp(dataType,'105')
    open('Data_containing_parameters_and_dates\Empty_plus_optional\GDF_create_Fracking_Process_Parameters_example.m');
elseif strcmp(dataType,'106')
    open('Data_containing_points\Empty_plus_optional\GDF_create_Insitu_temperature_stations_example.m');
elseif strcmp(dataType,'107')
    open('Data_containing_points\Empty_plus_optional\GDF_create_Production_Cluster_Position_example.m');
elseif strcmp(dataType,'108')
    open('Data_containing_points\Empty_plus_optional\GDF_create_Seismic_Stations_example.m');
elseif strcmp(dataType,'109')
    open('Others\Empty_plus_optional\GDF_create_Shallow_Groundwater_Temperature_example.m');
elseif strcmp(dataType,'110')
    open('Others\Empty_plus_optional\GDF_create_Shallow_Velocity_Profile_example.m');
elseif strcmp(dataType,'111')
    open('Data_containing_points\Empty_plus_optional\GDF_create_Water_stations_example.m');
elseif strcmp(dataType,'112')
    open('Data_containing_areas_or_lines\Empty_plus_optional\GDF_create_Well_path_example.m');
elseif strcmp(dataType,'113')
    open('Data_containing_points\Empty_plus_optional\GDF_create_Well_Position_example.m');
   
    
    
else
    disp('Name error');
end